aboutsummaryrefslogtreecommitdiff
path: root/lib/main.bash
diff options
context:
space:
mode:
Diffstat (limited to 'lib/main.bash')
-rw-r--r--lib/main.bash11
1 files changed, 11 insertions, 0 deletions
diff --git a/lib/main.bash b/lib/main.bash
index 67d05c7..9e9b7ef 100644
--- a/lib/main.bash
+++ b/lib/main.bash
@@ -213,6 +213,7 @@ discover_system() {
RSTAR_PLATFORM["arch"]="$(discover_system_arch)"
RSTAR_PLATFORM["version"]="$(discover_system_version)"
RSTAR_PLATFORM["term"]="$TERM"
+ RSTAR_PLATFORM["make"]="$(discover_system_make)"
# When on a Linux-using OS, check for the specific distribution in use.
if [[ ${RSTAR_PLATFORM[os]} == *"linux"* ]]
@@ -249,6 +250,16 @@ discover_system_distro() {
fi
}
+discover_system_make() {
+ for m in gmake make
+ do
+ command -v "$m" > /dev/null || continue
+
+ printf "%s" "$m"
+ return
+ done
+}
+
discover_system_version() {
printf "%s" "$(uname -r | awk '{print tolower($0)}')"
}